%define major		0
%define libname		%mklibname omemo-c %{major}
%define develname	%mklibname omemo-c -d

Name:		libomemo-c
Version:	0.5.1
Release:	%mkrel 2
Summary:	Fork of libsignal-protocol-c adding support for OMEMO XEP-0384 0.5.0+
License:	GPL-3.0-only AND BSD-3-Clause
Group:		System/Libraries
URL:		https://github.com/dino/libomemo-c
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		libomemo-c-cmake-4.0.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(libprotobuf-c)
# testing dependencies
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(openssl)

%description
This is a fork of libsignal-protocol-c, an implementation of
Signal's ratcheting forward secrecy protocol that works in
synchronous and asynchronous messaging.
The fork adds support for OMEMO as defined in XEP-0384
versions 0.3.0 and later.

#------------------------------------------------

%package -n	%{libname}
Summary:	Fork of libsignal-protocol-c adding support for OMEMO XEP-0384 0.5.0+
Group:		System/Libraries

%description -n	%{libname}
This is a fork of libsignal-protocol-c, an implementation of
Signal's ratcheting forward secrecy protocol that works in
synchronous and asynchronous messaging.
The fork adds support for OMEMO as defined in XEP-0384
versions 0.3.0 and later.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	omemo-c-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake \
    -DBUILD_TESTING=ON \
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libomemo-c.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%{_includedir}/omemo/
%{_libdir}/libomemo-c.so
%{_libdir}/pkgconfig/libomemo-c.pc


%changelog
* Tue Jul 08 2025 daviddavid <daviddavid> 0.5.1-2.mga10
+ Revision: 2252324
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Apr 01 2025 daviddavid <daviddavid> 0.5.1-1.mga10
+ Revision: 2172503
- new version: 0.5.1

* Sat Jun 10 2023 daviddavid <daviddavid> 0.5.0-1.mga9
+ Revision: 1961596
- initial package libomemo-c

